Skip to main content
POST
/
v1
/
voiceai
/
knowledge-base
/
rag-index
Compute Rag Indexes In Batch
curl --request POST \
  --url https://api.example.com/v1/voiceai/knowledge-base/rag-index \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "items": [
    {
      "document_id": "<string>",
      "create_if_missing": true,
      "model": "e5_mistral_7b_instruct"
    }
  ]
}
'
{}

Authorizations

x-api-key
string
header
required

API key for programmatic access

Body

application/json

Request body for POST /rag-index batch endpoint

items
GetOrCreateRAGIndexRequestModel · object[]
required

List of requested RAG indexes.

Required array length: 1 - 100 elements

Response

Successful Response

{key}
RAGIndexBatchSuccessfulResponseModel · object

Successful response for a single batch item